apiVersion: v1
kind: Template
labels:
  app: authproxy
  template: authproxy-buildconfig
metadata:
  annotations:
    description: AuthProxy - BuildConfig
    iconClass: icon-openshift
    openshift.io/display-name: AuthProxy
    tags: authproxy
  name: authproxy-buildconfig
objects:
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds AuthProxy images
    labels:
      name: authproxy-${AUTHPROXY_REPOSITORY_REF}
    name: authproxy-${AUTHPROXY_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 100m
        memory: 1Gi
    source:
      contextDir: /
      git:
        uri: ${AUTHPROXY_REPOSITORY_URL}
        ref: "${AUTHPROXY_REPOSITORY_REF}"
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
        from:
          kind: ImageStreamTag
          name: ${APACHE_IMAGESTREAM_TAG}
    output:
      to:
        kind: ImageStreamTag
        name: authproxy:${AUTHPROXY_REPOSITORY_REF}
    triggers:
    - type: ImageChange
    - type: ConfigChange
parameters:
- name: APACHE_IMAGESTREAM_TAG
  description: Set this to Apache ImageStream tag serving as base for AuthProxy BuildConfig
  displayName: Apache ImageStream Tag
  required: true
  value: apache:master
- name: AUTHPROXY_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: AUTHPROXY_REPOSITORY_URL
  description: The URL of the repository with your AuthProxy Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-authproxy.git
